Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# ColorSpace Class Reference

`#include <GT2005ColorSpace.h>`

List of all members.

## Public Member Functions
| ColorSpace ()
void | Normalize ()
double | Sum ()
void | AddSample (colorClass color, double brightness, double dY)
colorClass | getMajorColor ()
ColorSpace & | operator+= (const ColorSpace &other)
| ColorSpace ()
void | Normalize ()
double | Sum ()
void | AddSample (colorClass color, double brightness, double dY)
colorClass | getMajorColor ()
ColorSpace & | operator+= (const ColorSpace &other)
## Public Attributes
double | colorCount [numOfColors]
double | yCount [BRIGHTNESS_LEVELS]
double | y
double | dY

## Constructor & Destructor Documentation

ColorSpace::ColorSpace | ( |  | ) |

| Definition at line 3 of file GT2005ColorSpace.cpp. References colorCount, dY, numOfColors, and yCount.

ColorSpace::ColorSpace | ( |  | ) |

## Member Function Documentation

void ColorSpace::Normalize | ( |  | ) |

| Definition at line 17 of file GT2005ColorSpace.cpp. References BRIGHTNESS_LEVELS, colorCount, dY, numOfColors, Sum(), and yCount. Referenced by VLCRobotSpecialist::clusterCandidates(), GT2005RobotSpecialist::clusterCandidates(), VLCRobotSpecialist::generatePercept(), and GT2005RobotSpecialist::generatePercept().

Here is the call graph for this function:

double ColorSpace::Sum | ( |  | ) |

| Definition at line 35 of file GT2005ColorSpace.cpp. References colorCount, and numOfColors. Referenced by Normalize().

void ColorSpace::AddSample | ( | colorClass | color,
|  | double | brightness,
|  | double | dY
| ) |

| Definition at line 45 of file GT2005ColorSpace.cpp. References colorCount. Referenced by VLCRobotSpecialist::generatePercept(), and GT2005RobotSpecialist::generatePercept().

colorClass ColorSpace::getMajorColor | ( |  | ) |

| Definition at line 52 of file GT2005ColorSpace.cpp. References colorCount, noColor, and numOfColors.

ColorSpace& ColorSpace::operator+= | ( | const ColorSpace & | other | ) | `[inline]`

| Definition at line 30 of file GT2005ColorSpace.h. References BRIGHTNESS_LEVELS, colorCount, dY, numOfColors, y, and yCount.

void ColorSpace::Normalize | ( |  | ) |

double ColorSpace::Sum | ( |  | ) |

void ColorSpace::AddSample | ( | colorClass | color,
|  | double | brightness,
|  | double | dY
| ) |

colorClass ColorSpace::getMajorColor | ( |  | ) |

ColorSpace& ColorSpace::operator+= | ( | const ColorSpace & | other | ) | `[inline]`

| Definition at line 30 of file VLCColorSpace.h. References BRIGHTNESS_LEVELS, colorCount, dY, numOfColors, y, and yCount.

## Member Data Documentation

double ColorSpace::colorCount

| Definition at line 46 of file VLCColorSpace.h. Referenced by AddSample(), VLCRobotSpecialist::clusterCandidates(), GT2005RobotSpecialist::clusterCandidates(), ColorSpace(), VLCRobotSpecialist::filterPercepts(), GT2005RobotSpecialist::filterPercepts(), VLCRobotSpecialist::generateColorspace(), GT2005RobotSpecialist::generateColorspace(), VLCRobotSpecialist::generatePercept(), GT2005RobotSpecialist::generatePercept(), getMajorColor(), Normalize(), operator+=(), and Sum().

double ColorSpace::yCount

| Definition at line 47 of file VLCColorSpace.h. Referenced by ColorSpace(), Normalize(), and operator+=().

double ColorSpace::y

| Definition at line 48 of file VLCColorSpace.h. Referenced by VLCRobotSpecialist::generateColorspace(), GT2005RobotSpecialist::generateColorspace(), VLCRobotSpecialist::generatePercept(), GT2005RobotSpecialist::generatePercept(), and operator+=().

double ColorSpace::dY

| Definition at line 49 of file VLCColorSpace.h. Referenced by ColorSpace(), VLCRobotSpecialist::filterPercepts(), GT2005RobotSpecialist::filterPercepts(), VLCRobotSpecialist::generateColorspace(), GT2005RobotSpecialist::generateColorspace(), VLCRobotSpecialist::generatePercept(), GT2005RobotSpecialist::generatePercept(), Normalize(), and operator+=().

The documentation for this class was generated from the following files:

- Modules/ImageProcessor/GT2005ImageProcessor/GT2005ColorSpace.h
- Modules/ImageProcessor/VLCImageProcessor/VLCColorSpace.h
- Modules/ImageProcessor/GT2005ImageProcessor/GT2005ColorSpace.cpp
- Modules/ImageProcessor/VLCImageProcessor/VLCColorSpace.cpp